Hey Won,

Dmitry posted this some time ago as what needs to be done to build on
FreeBSD.

env CPPFLAGS=-I/usr/local/include LDFLAGS=-L/usr/local/lib
PTHREAD_LIBS=-pthread \
        ./configure \
        --disable-init-scripts --disable-logrotate-config
--disable-logdir --localstatedir=/var
--with-ipmi-monitoring-sdr-cache-dir=/var/db/freeipmi/ipmimonitoringsdrcache 
--sysconfdir=/usr/local/etc/freeipmi --prefix=/usr/local
gmake

hopefully that helps

Al

On Thu, 2008-11-20 at 18:37 -0800, Won De Erick wrote:
> Hi,
> 
> The installation of freeipmi from tarbal has been my problem in FreeBSD(even 
> in 6.2 before). No problem when installing this from ports, but I should want 
> to try the latest one as the ported one is not automatically updated.  AFAIK, 
> the dependencies are the below:
> 
> security/libgpg-error
> security/libgcrypt
> devel/argp-standalone
> 
> I started installing libcrypt. This was successfully installed. Then proceed 
> w/ freeipmi 
> (http://ftp.zresearch.com/pub/freeipmi/qa-release/freeipmi-0.7.3.beta1.tar.gz)
>  compilation.
> 
> I always get errors like:
> 
> checking how to run the C++ preprocessor... g++ -E
> checking for g77... no
> checking for f77... no
> checking for xlf... no
> checking for frt... no
> 
> .....
> Then end up with
> .....
> checking whether make sets $(MAKE)... (cached) yes
> checking for gcry_md_open in -lgcrypt... no
> configure: error: libgcrypt required to build libfreeipmi
> 
> 
> Attached are the logs for installing libcrypt and compiling freeipmi.
> 
> Any help pls. 
> 
> Thanks,
> 
> Won
> 
> 
>       
> _______________________________________________ Freeipmi-devel mailing list 
> Freeipmi-devel@gnu.org http:// lists.gnu.org/mailman/listinfo/freeipmi-devel
-- 
Albert Chu
[EMAIL PROTECTED]
Computer Scientist
High Performance Systems Division
Lawrence Livermore National Laboratory



_______________________________________________
Freeipmi-devel mailing list
Freeipmi-devel@gnu.org
http://lists.gnu.org/mailman/listinfo/freeipmi-devel

Reply via email to